Skip to navigation
TOKEN ISSUANCE AND ASSET SERVICINGAssetV2

List assets (deprecated, Canton-only)

Deprecated. Canton-only list of assets with optional filtering on symbol, contract address, label, or currency name. The filter oneof does not encode reliably over GET; use POST /api/rest/v2/assets/query for all chains.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

cursor.currentPagestringOptional

Base64-encoded string representing the current window of data

cursor.pageRequeststringOptional

The page to request, w.r.t the current page. Can be one of FIRST, PREVIOUS, NEXT, LAST

cursor.pageSizestringOptionalformat: "uint64"
The size of the page requested. The handling service should impose a hard limit on this
blockchainstringOptional
networkstringOptional
symbolstringOptional
contractAddressstringOptional
labelstringOptional
currencyNamestringOptional

Response

A successful response.
resultlist of objectsOptional
cursorobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error